<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref3.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::CommentedAtom::CommentedAtom&#40;const char*&#44;size_t&#44;Node*&#41; - Synopsis::PTree::Display::newline&#40;&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::CommentedAtom::CommentedAtom&#40;const char*&#44;size_t&#44;Node*&#41; - Synopsis::PTree::Display::newline&#40;&#41;</h1><div class="xref-name"><a id="Synopsis_mPTree_mCommentedAtom_mCommentedAtom_lconst.char_S_csize_t_cNode_S_r" /><h2 >Constructor Synopsis::PTree::CommentedAtom::CommentedAtom&#40;const char*&#44;size_t&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CommentedAtom.html#CommentedAtom_lconst.char_S_csize_t_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#32">Synopsis/PTree/Atoms.hh:32</a>: in class <a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Synopsis::PTree::CommentedAtom</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCommentedAtom_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::CommentedAtom::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CommentedAtom.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#33">Synopsis/PTree/Atoms.hh:33</a>: in class <a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Synopsis::PTree::CommentedAtom</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCommentedAtom_mget_comments_l_r" /><h2 >Member function Synopsis::PTree::CommentedAtom::get_comments&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CommentedAtom.html#get_comments_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#35">Synopsis/PTree/Atoms.hh:35</a>: in class <a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Synopsis::PTree::CommentedAtom</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCommentedAtom_mmy_comments" /><h2 >Data member Synopsis::PTree::CommentedAtom::my_comments</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CommentedAtom.html#my_comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#38">Synopsis/PTree/Atoms.hh:38</a>: in class <a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Synopsis::PTree::CommentedAtom</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#35">Synopsis/PTree/Atoms.hh:35</a>: in member function <a href="../Scopes/Synopsis/PTree/CommentedAtom.html#get_comments_l_r" >Synopsis::PTree::CommentedAtom::get_comments&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#36">Synopsis/PTree/Atoms.hh:36</a>: in member function <a href="../Scopes/Synopsis/PTree/CommentedAtom.html#set_comments_lNode_S_r" >Synopsis::PTree::CommentedAtom::set_comments&#40;Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCommentedAtom_mset_comments_lNode_S_r" /><h2 >Member function Synopsis::PTree::CommentedAtom::set_comments&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CommentedAtom.html#set_comments_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#36">Synopsis/PTree/Atoms.hh:36</a>: in class <a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Synopsis::PTree::CommentedAtom</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCondExpr" /><h2 >Class Synopsis::PTree::CondExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CondExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#375">Synopsis/PTree/Lists.hh:375</a>: in class <a href="../Scopes/Synopsis/PTree/CondExpr.html" >Synopsis::PTree::CondExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#375">Synopsis/PTree/Lists.hh:375</a>: in class <a href="../Scopes/Synopsis/PTree/CondExpr.html" >Synopsis::PTree::CondExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#66">Synopsis/PTree/TypeVisitor.hh:66</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#170">Synopsis/PTree/Visitor.hh:170</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#35">Synopsis/TypeAnalysis/ConstEvaluator.hh:35</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#35">Synopsis/TypeAnalysis/TypeEvaluator.hh:35</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#378">Synopsis/PTree/Lists.hh:378</a>: Constructor <a href="../Scopes/Synopsis/PTree/CondExpr.html#CondExpr_lNode_S_cNode_S_r" >CondExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCondExpr_mCondExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::CondExpr::CondExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CondExpr.html#CondExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#378">Synopsis/PTree/Lists.hh:378</a>: in class <a href="../Scopes/Synopsis/PTree/CondExpr.html" >Synopsis::PTree::CondExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mContinueStatement" /><h2 >Class Synopsis::PTree::ContinueStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ContinueStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#312">Synopsis/PTree/Lists.hh:312</a>: in class <a href="../Scopes/Synopsis/PTree/ContinueStatement.html" >Synopsis::PTree::ContinueStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#312">Synopsis/PTree/Lists.hh:312</a>: in class <a href="../Scopes/Synopsis/PTree/ContinueStatement.html" >Synopsis::PTree::ContinueStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#57">Synopsis/PTree/TypeVisitor.hh:57</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#157">Synopsis/PTree/Visitor.hh:157</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#315">Synopsis/PTree/Lists.hh:315</a>: Constructor <a href="../Scopes/Synopsis/PTree/ContinueStatement.html#ContinueStatement_lNode_S_cNode_S_r" >ContinueStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mContinueStatement_mContinueStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ContinueStatement::ContinueStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ContinueStatement.html#ContinueStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#315">Synopsis/PTree/Lists.hh:315</a>: in class <a href="../Scopes/Synopsis/PTree/ContinueStatement.html" >Synopsis::PTree::ContinueStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclaration" /><h2 >Class Synopsis::PTree::Declaration</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declaration.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#92">Synopsis/PTree/Lists.hh:92</a>: in class <a href="../Scopes/Synopsis/PTree/Declaration.html" >Synopsis::PTree::Declaration</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#104">Synopsis/PTree/Lists.hh:104</a>: in class <a href="../Scopes/Synopsis/PTree/Typedef.html" >Synopsis::PTree::Typedef</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#112">Synopsis/PTree/Lists.hh:112</a>: in class <a href="../Scopes/Synopsis/PTree/UsingDirective.html" >Synopsis::PTree::UsingDirective</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#119">Synopsis/PTree/Lists.hh:119</a>: in class <a href="../Scopes/Synopsis/PTree/UsingDeclaration.html" >Synopsis::PTree::UsingDeclaration</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#126">Synopsis/PTree/Lists.hh:126</a>: in class <a href="../Scopes/Synopsis/PTree/NamespaceAlias.html" >Synopsis::PTree::NamespaceAlias</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#133">Synopsis/PTree/Lists.hh:133</a>: in class <a href="../Scopes/Synopsis/PTree/FunctionDefinition.html" >Synopsis::PTree::FunctionDefinition</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#39">Synopsis/PTree/TypeVisitor.hh:39</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#110">Synopsis/PTree/Visitor.hh:110</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#134">Synopsis/Parser.hh:134</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#135">Synopsis/Parser.hh:135</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#136">Synopsis/Parser.hh:136</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#137">Synopsis/Parser.hh:137</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#440">Synopsis/Parser.hh:440</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#441">Synopsis/Parser.hh:441</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#442">Synopsis/Parser.hh:442</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#42">Synopsis/SymbolFactory.hh:42</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#87">Synopsis/SymbolLookup/Scopes.hh:87</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#107">Synopsis/SymbolLookup/Scopes.hh:107</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#95">Synopsis/PTree/Lists.hh:95</a>: Constructor <a href="../Scopes/Synopsis/PTree/Declaration.html#Declaration_lNode_S_cNode_S_r" >Declaration&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#96">Synopsis/PTree/Lists.hh:96</a>: Member function <a href="../Scopes/Synopsis/PTree/Declaration.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#97">Synopsis/PTree/Lists.hh:97</a>: Member function <a href="../Scopes/Synopsis/PTree/Declaration.html#get_comments_l_r" >get_comments&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#98">Synopsis/PTree/Lists.hh:98</a>: Member function <a href="../Scopes/Synopsis/PTree/Declaration.html#set_comments_lNode_S_r" >set_comments&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#101">Synopsis/PTree/Lists.hh:101</a>: Data member <a href="../Scopes/Synopsis/PTree/Declaration.html#my_comments" >my_comments</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclaration_mDeclaration_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Declaration::Declaration&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declaration.html#Declaration_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#95">Synopsis/PTree/Lists.hh:95</a>: in class <a href="../Scopes/Synopsis/PTree/Declaration.html" >Synopsis::PTree::Declaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclaration_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::Declaration::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declaration.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#96">Synopsis/PTree/Lists.hh:96</a>: in class <a href="../Scopes/Synopsis/PTree/Declaration.html" >Synopsis::PTree::Declaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclaration_mget_comments_l_r" /><h2 >Member function Synopsis::PTree::Declaration::get_comments&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declaration.html#get_comments_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#97">Synopsis/PTree/Lists.hh:97</a>: in class <a href="../Scopes/Synopsis/PTree/Declaration.html" >Synopsis::PTree::Declaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclaration_mmy_comments" /><h2 >Data member Synopsis::PTree::Declaration::my_comments</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declaration.html#my_comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#101">Synopsis/PTree/Lists.hh:101</a>: in class <a href="../Scopes/Synopsis/PTree/Declaration.html" >Synopsis::PTree::Declaration</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#97">Synopsis/PTree/Lists.hh:97</a>: in member function <a href="../Scopes/Synopsis/PTree/Declaration.html#get_comments_l_r" >Synopsis::PTree::Declaration::get_comments&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#98">Synopsis/PTree/Lists.hh:98</a>: in member function <a href="../Scopes/Synopsis/PTree/Declaration.html#set_comments_lNode_S_r" >Synopsis::PTree::Declaration::set_comments&#40;Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclaration_mset_comments_lNode_S_r" /><h2 >Member function Synopsis::PTree::Declaration::set_comments&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declaration.html#set_comments_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#98">Synopsis/PTree/Lists.hh:98</a>: in class <a href="../Scopes/Synopsis/PTree/Declaration.html" >Synopsis::PTree::Declaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator" /><h2 >Class Synopsis::PTree::Declarator</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#148">Synopsis/PTree/Lists.hh:148</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#34">Synopsis/PTree/Display.hh:34</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#157">Synopsis/PTree/Lists.hh:157</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#41">Synopsis/PTree/TypeVisitor.hh:41</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#127">Synopsis/PTree/Visitor.hh:127</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#376">Synopsis/Parser.hh:376</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#151">Synopsis/PTree/Lists.hh:151</a>: Constructor <a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lNode_S_r" >Declarator&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#152">Synopsis/PTree/Lists.hh:152</a>: Constructor <a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lNode_S_cconst.Encoding_A_cconst.Encoding_A_cNode_S_r" >Declarator&#40;Node*&#44;const Encoding&amp;&#44;const Encoding&amp;&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#153">Synopsis/PTree/Lists.hh:153</a>: Constructor <a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lconst.Encoding_A_cconst.Encoding_A_cNode_S_r" >Declarator&#40;const Encoding&amp;&#44;const Encoding&amp;&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#154">Synopsis/PTree/Lists.hh:154</a>: Constructor <a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lNode_S_cNode_S_cconst.Encoding_A_cconst.Encoding_A_cNode_S_r" >Declarator&#40;Node*&#44;Node*&#44;const Encoding&amp;&#44;const Encoding&amp;&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#155">Synopsis/PTree/Lists.hh:155</a>: Constructor <a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lNode_S_cconst.Encoding_A_r" >Declarator&#40;Node*&#44;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#156">Synopsis/PTree/Lists.hh:156</a>: Constructor <a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lconst.Encoding_A_r" >Declarator&#40;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#157">Synopsis/PTree/Lists.hh:157</a>: Constructor <a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lDeclarator_S_cNode_S_cNode_S_r" >Declarator&#40;Declarator*&#44;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#159">Synopsis/PTree/Lists.hh:159</a>: Member function <a href="../Scopes/Synopsis/PTree/Declarator.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#160">Synopsis/PTree/Lists.hh:160</a>: Member function <a href="../Scopes/Synopsis/PTree/Declarator.html#encoded_type_l_rconst" >encoded_type&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#161">Synopsis/PTree/Lists.hh:161</a>: Member function <a href="../Scopes/Synopsis/PTree/Declarator.html#encoded_name_l_rconst" >encoded_name&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#162">Synopsis/PTree/Lists.hh:162</a>: Member function <a href="../Scopes/Synopsis/PTree/Declarator.html#set_encoded_type_lconst.Encoding_A_r" >set_encoded_type&#40;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#163">Synopsis/PTree/Lists.hh:163</a>: Member function <a href="../Scopes/Synopsis/PTree/Declarator.html#name_l_r" >name&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#164">Synopsis/PTree/Lists.hh:164</a>: Member function <a href="../Scopes/Synopsis/PTree/Declarator.html#initializer_l_r" >initializer&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#165">Synopsis/PTree/Lists.hh:165</a>: Member function <a href="../Scopes/Synopsis/PTree/Declarator.html#get_comments_l_r" >get_comments&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#166">Synopsis/PTree/Lists.hh:166</a>: Member function <a href="../Scopes/Synopsis/PTree/Declarator.html#set_comments_lNode_S_r" >set_comments&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#168">Synopsis/PTree/Lists.hh:168</a>: Data member <a href="../Scopes/Synopsis/PTree/Declarator.html#my_type" >my_type</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#169">Synopsis/PTree/Lists.hh:169</a>: Data member <a href="../Scopes/Synopsis/PTree/Declarator.html#my_name" >my_name</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#170">Synopsis/PTree/Lists.hh:170</a>: Data member <a href="../Scopes/Synopsis/PTree/Declarator.html#my_declared_name" >my_declared_name</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#171">Synopsis/PTree/Lists.hh:171</a>: Data member <a href="../Scopes/Synopsis/PTree/Declarator.html#my_comments" >my_comments</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mDeclarator_lDeclarator_S_cNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Declarator::Declarator&#40;Declarator*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lDeclarator_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#157">Synopsis/PTree/Lists.hh:157</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mDeclarator_lNode_S_r" /><h2 >Constructor Synopsis::PTree::Declarator::Declarator&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#151">Synopsis/PTree/Lists.hh:151</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mDeclarator_lNode_S_cNode_S_cconst.Encoding_A_cconst.Encoding_A_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Declarator::Declarator&#40;Node*&#44;Node*&#44;const Encoding&amp;&#44;const Encoding&amp;&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lNode_S_cNode_S_cconst.Encoding_A_cconst.Encoding_A_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#154">Synopsis/PTree/Lists.hh:154</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mDeclarator_lNode_S_cconst.Encoding_A_r" /><h2 >Constructor Synopsis::PTree::Declarator::Declarator&#40;Node*&#44;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lNode_S_cconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#155">Synopsis/PTree/Lists.hh:155</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mDeclarator_lNode_S_cconst.Encoding_A_cconst.Encoding_A_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Declarator::Declarator&#40;Node*&#44;const Encoding&amp;&#44;const Encoding&amp;&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lNode_S_cconst.Encoding_A_cconst.Encoding_A_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#152">Synopsis/PTree/Lists.hh:152</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mDeclarator_lconst.Encoding_A_r" /><h2 >Constructor Synopsis::PTree::Declarator::Declarator&#40;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#156">Synopsis/PTree/Lists.hh:156</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mDeclarator_lconst.Encoding_A_cconst.Encoding_A_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Declarator::Declarator&#40;const Encoding&amp;&#44;const Encoding&amp;&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#Declarator_lconst.Encoding_A_cconst.Encoding_A_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#153">Synopsis/PTree/Lists.hh:153</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::Declarator::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#159">Synopsis/PTree/Lists.hh:159</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mencoded_name_l_rconst" /><h2 >Member function Synopsis::PTree::Declarator::encoded_name&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#encoded_name_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#161">Synopsis/PTree/Lists.hh:161</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mencoded_type_l_rconst" /><h2 >Member function Synopsis::PTree::Declarator::encoded_type&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#encoded_type_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#160">Synopsis/PTree/Lists.hh:160</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mget_comments_l_r" /><h2 >Member function Synopsis::PTree::Declarator::get_comments&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#get_comments_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#165">Synopsis/PTree/Lists.hh:165</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_minitializer_l_r" /><h2 >Member function Synopsis::PTree::Declarator::initializer&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#initializer_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#164">Synopsis/PTree/Lists.hh:164</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mmy_comments" /><h2 >Data member Synopsis::PTree::Declarator::my_comments</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#my_comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#171">Synopsis/PTree/Lists.hh:171</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#165">Synopsis/PTree/Lists.hh:165</a>: in member function <a href="../Scopes/Synopsis/PTree/Declarator.html#get_comments_l_r" >Synopsis::PTree::Declarator::get_comments&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#166">Synopsis/PTree/Lists.hh:166</a>: in member function <a href="../Scopes/Synopsis/PTree/Declarator.html#set_comments_lNode_S_r" >Synopsis::PTree::Declarator::set_comments&#40;Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mmy_declared_name" /><h2 >Data member Synopsis::PTree::Declarator::my_declared_name</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#my_declared_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#170">Synopsis/PTree/Lists.hh:170</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#163">Synopsis/PTree/Lists.hh:163</a>: in member function <a href="../Scopes/Synopsis/PTree/Declarator.html#name_l_r" >Synopsis::PTree::Declarator::name&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mmy_name" /><h2 >Data member Synopsis::PTree::Declarator::my_name</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#my_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#169">Synopsis/PTree/Lists.hh:169</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#161">Synopsis/PTree/Lists.hh:161</a>: in member function <a href="../Scopes/Synopsis/PTree/Declarator.html#encoded_name_l_rconst" >Synopsis::PTree::Declarator::encoded_name&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mmy_type" /><h2 >Data member Synopsis::PTree::Declarator::my_type</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#my_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#168">Synopsis/PTree/Lists.hh:168</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#160">Synopsis/PTree/Lists.hh:160</a>: in member function <a href="../Scopes/Synopsis/PTree/Declarator.html#encoded_type_l_rconst" >Synopsis::PTree::Declarator::encoded_type&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#162">Synopsis/PTree/Lists.hh:162</a>: in member function <a href="../Scopes/Synopsis/PTree/Declarator.html#set_encoded_type_lconst.Encoding_A_r" >Synopsis::PTree::Declarator::set_encoded_type&#40;const Encoding&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mname_l_r" /><h2 >Member function Synopsis::PTree::Declarator::name&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#name_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#163">Synopsis/PTree/Lists.hh:163</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mset_comments_lNode_S_r" /><h2 >Member function Synopsis::PTree::Declarator::set_comments&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#set_comments_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#166">Synopsis/PTree/Lists.hh:166</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeclarator_mset_encoded_type_lconst.Encoding_A_r" /><h2 >Member function Synopsis::PTree::Declarator::set_encoded_type&#40;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Declarator.html#set_encoded_type_lconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#162">Synopsis/PTree/Lists.hh:162</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDefaultStatement" /><h2 >Class Synopsis::PTree::DefaultStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DefaultStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#336">Synopsis/PTree/Lists.hh:336</a>: in class <a href="../Scopes/Synopsis/PTree/DefaultStatement.html" >Synopsis::PTree::DefaultStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#336">Synopsis/PTree/Lists.hh:336</a>: in class <a href="../Scopes/Synopsis/PTree/DefaultStatement.html" >Synopsis::PTree::DefaultStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#61">Synopsis/PTree/TypeVisitor.hh:61</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#163">Synopsis/PTree/Visitor.hh:163</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#339">Synopsis/PTree/Lists.hh:339</a>: Constructor <a href="../Scopes/Synopsis/PTree/DefaultStatement.html#DefaultStatement_lNode_S_cNode_S_r" >DefaultStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDefaultStatement_mDefaultStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::DefaultStatement::DefaultStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DefaultStatement.html#DefaultStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#339">Synopsis/PTree/Lists.hh:339</a>: in class <a href="../Scopes/Synopsis/PTree/DefaultStatement.html" >Synopsis::PTree::DefaultStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeleteExpr" /><h2 >Class Synopsis::PTree::DeleteExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DeleteExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#441">Synopsis/PTree/Lists.hh:441</a>: in class <a href="../Scopes/Synopsis/PTree/DeleteExpr.html" >Synopsis::PTree::DeleteExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#441">Synopsis/PTree/Lists.hh:441</a>: in class <a href="../Scopes/Synopsis/PTree/DeleteExpr.html" >Synopsis::PTree::DeleteExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#76">Synopsis/PTree/TypeVisitor.hh:76</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#187">Synopsis/PTree/Visitor.hh:187</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#45">Synopsis/TypeAnalysis/TypeEvaluator.hh:45</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#444">Synopsis/PTree/Lists.hh:444</a>: Constructor <a href="../Scopes/Synopsis/PTree/DeleteExpr.html#DeleteExpr_lNode_S_cNode_S_r" >DeleteExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDeleteExpr_mDeleteExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::DeleteExpr::DeleteExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DeleteExpr.html#DeleteExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#444">Synopsis/PTree/Lists.hh:444</a>: in class <a href="../Scopes/Synopsis/PTree/DeleteExpr.html" >Synopsis::PTree::DeleteExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay" /><h2 >Class Synopsis::PTree::Display</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#19">Synopsis/PTree/Display.hh:19</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#91">Synopsis/PTree/Display.hh:91</a>: in Synopsis::PTree::display&#40;const Node*&#44;std</li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Display.hh.html#22">Synopsis/PTree/Display.hh:22</a>: Constructor <a href="../Scopes/Synopsis/PTree/Display.html#Display_lstd_mostream_A_cbool_r" >Display&#40;std::ostream&amp;&#44;bool&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#24">Synopsis/PTree/Display.hh:24</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#display_lconst.Node_S_r" >display&#40;const Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#26">Synopsis/PTree/Display.hh:26</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lAtom_S_r" >visit&#40;Atom*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#27">Synopsis/PTree/Display.hh:27</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lList_S_r" >visit&#40;List*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#29">Synopsis/PTree/Display.hh:29</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lDupAtom_S_r" >visit&#40;DupAtom*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#31">Synopsis/PTree/Display.hh:31</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lBrace_S_r" >visit&#40;Brace*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#32">Synopsis/PTree/Display.hh:32</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lBlock_S_r" >visit&#40;Block*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#33">Synopsis/PTree/Display.hh:33</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lClassBody_S_r" >visit&#40;ClassBody*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#34">Synopsis/PTree/Display.hh:34</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lDeclarator_S_r" >visit&#40;Declarator*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#35">Synopsis/PTree/Display.hh:35</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lName_S_r" >visit&#40;Name*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#36">Synopsis/PTree/Display.hh:36</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lFstyleCastExpr_S_r" >visit&#40;FstyleCastExpr*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#38">Synopsis/PTree/Display.hh:38</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#newline_l_r" >newline&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#39">Synopsis/PTree/Display.hh:39</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#too_deep_l_r" >too_deep&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#40">Synopsis/PTree/Display.hh:40</a>: Member function <a href="../Scopes/Synopsis/PTree/Display.html#print_encoded_lList_S_r" >print_encoded&#40;List*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#42">Synopsis/PTree/Display.hh:42</a>: Data member <a href="../Scopes/Synopsis/PTree/Display.html#my_os" >my_os</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#43">Synopsis/PTree/Display.hh:43</a>: Data member <a href="../Scopes/Synopsis/PTree/Display.html#my_indent" >my_indent</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#44">Synopsis/PTree/Display.hh:44</a>: Data member <a href="../Scopes/Synopsis/PTree/Display.html#my_encoded" >my_encoded</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mDisplay_lstd_mostream_A_cbool_r" /><h2 >Synopsis::PTree::Display::Display&#40;std::ostream&amp;&#44;bool&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#22">Synopsis/PTree/Display.hh:22</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mdisplay_lconst.Node_S_r" /><h2 >Member function Synopsis::PTree::Display::display&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#display_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#24">Synopsis/PTree/Display.hh:24</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#92">Synopsis/PTree/Display.hh:92</a>: in Synopsis::PTree::display&#40;const Node*&#44;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mmy_encoded" /><h2 >Data member Synopsis::PTree::Display::my_encoded</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#my_encoded" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#44">Synopsis/PTree/Display.hh:44</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mmy_indent" /><h2 >Data member Synopsis::PTree::Display::my_indent</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#my_indent" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#43">Synopsis/PTree/Display.hh:43</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mmy_os" /><h2 >Data member Synopsis::PTree::Display::my_os</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#my_os" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#42">Synopsis/PTree/Display.hh:42</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mnewline_l_r" /><h2 >Member function Synopsis::PTree::Display::newline&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#newline_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#38">Synopsis/PTree/Display.hh:38</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
